Package org.duckdb

# Class DuckDBResultSetMetaData

java.lang.Object
org.duckdb.DuckDBResultSetMetaData

All Implemented Interfaces:
  `ResultSetMetaData`, `Wrapper`

public class DuckDBResultSetMetaData extends Object implements ResultSetMetaData

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`column_count`
`protected String[]`
`column_names`
`protected DuckDBColumnType[]`
`column_types`
`protected String[]`
`column_types_details`
`protected DuckDBColumnTypeMetaData[]`
`column_types_meta`
`protected String[]`
`column_types_string`
`protected int`
`param_count`
`protected final StatementReturnType`
`return_type`

### Fields inherited from interface java.sql.ResultSetMetaData

`columnNoNulls, columnNullable, columnNullableUnknown`

## Constructor Summary

Constructors
Constructor
Description
`DuckDBResultSetMetaData(int param_count, int column_count, String[] column_names, String[] column_types_string, String[] column_types_details, String return_type)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCatalogName(int column)`
`String`
`getColumnClassName(int column)`
`int`
`getColumnCount()`
`int`
`getColumnDisplaySize(int column)`
`String`
`getColumnLabel(int column)`
`String`
`getColumnName(int column)`
`int`
`getColumnType(int column)`
`String`
`getColumnTypeName(int column)`
`int`
`getPrecision(int column)`
`StatementReturnType`
`getReturnType()`
`int`
`getScale(int column)`
`String`
`getSchemaName(int column)`
`String`
`getTableName(int column)`
`boolean`
`isAutoIncrement(int column)`
`boolean`
`isCaseSensitive(int column)`
`boolean`
`isCurrency(int column)`
`boolean`
`isDefinitelyWritable(int column)`
`int`
`isNullable(int column)`
`boolean`
`isReadOnly(int column)`
`boolean`
`isSearchable(int column)`
`boolean`
`isSigned(int column)`
`boolean`
`isWrapperFor(Class<?> iface)`
`boolean`
`isWritable(int column)`
`static int`
`type_to_int(DuckDBColumnType type)`
`static DuckDBColumnType`
`TypeNameToType(String type_name)`
`<T> T`
`unwrap(Class<T> iface)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### param_count

protected int param_count

### column_count

protected int column_count

### column_names

protected String[] column_names

### column_types_string

protected String[] column_types_string

### column_types_details

protected String[] column_types_details

### column_types

protected DuckDBColumnType[] column_types

### column_types_meta

protected DuckDBColumnTypeMetaData[] column_types_meta

### return_type

protected final StatementReturnType return_type

## Constructor Details

### DuckDBResultSetMetaData

public DuckDBResultSetMetaData(int param_count, int column_count, String[] column_names, String[] column_types_string, String[] column_types_details, String return_type)

## Method Details

### TypeNameToType

public static DuckDBColumnType TypeNameToType(String type_name)

### getReturnType

public StatementReturnType getReturnType()

### getColumnCount

public int getColumnCount() throws SQLException

Specified by:
  `getColumnCount` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### getColumnLabel

public String getColumnLabel(int column) throws SQLException

Specified by:
  `getColumnLabel` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### getColumnName

public String getColumnName(int column) throws SQLException

Specified by:
  `getColumnName` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### type_to_int

public static int type_to_int(DuckDBColumnType type)

### getColumnType

public int getColumnType(int column) throws SQLException

Specified by:
  `getColumnType` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### getColumnClassName

public String getColumnClassName(int column) throws SQLException

Specified by:
  `getColumnClassName` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### getColumnTypeName

public String getColumnTypeName(int column) throws SQLException

Specified by:
  `getColumnTypeName` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### isReadOnly

public boolean isReadOnly(int column) throws SQLException

Specified by:
  `isReadOnly` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### isWritable

public boolean isWritable(int column) throws SQLException

Specified by:
  `isWritable` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### isDefinitelyWritable

public boolean isDefinitelyWritable(int column) throws SQLException

Specified by:
  `isDefinitelyWritable` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### isCaseSensitive

public boolean isCaseSensitive(int column) throws SQLException

Specified by:
  `isCaseSensitive` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### isNullable

public int isNullable(int column) throws SQLException

Specified by:
  `isNullable` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### getSchemaName

public String getSchemaName(int column) throws SQLException

Specified by:
  `getSchemaName` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### isAutoIncrement

public boolean isAutoIncrement(int column) throws SQLException

Specified by:
  `isAutoIncrement` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### isSearchable

public boolean isSearchable(int column) throws SQLException

Specified by:
  `isSearchable` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### isCurrency

public boolean isCurrency(int column) throws SQLException

Specified by:
  `isCurrency` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### isSigned

public boolean isSigned(int column) throws SQLException

Specified by:
  `isSigned` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### getColumnDisplaySize

public int getColumnDisplaySize(int column) throws SQLException

Specified by:
  `getColumnDisplaySize` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### getPrecision

public int getPrecision(int column) throws SQLException

Specified by:
  `getPrecision` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### getScale

public int getScale(int column) throws SQLException

Specified by:
  `getScale` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### getTableName

public String getTableName(int column) throws SQLException

Specified by:
  `getTableName` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### getCatalogName

public String getCatalogName(int column) throws SQLException

Specified by:
  `getCatalogName` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### unwrap

public <T> T unwrap(Class<T> iface) throws SQLException

Specified by:
  `unwrap` in interface `Wrapper`
Throws:
  `SQLException`

### isWrapperFor

public boolean isWrapperFor(Class<?> iface)

Specified by:
  `isWrapperFor` in interface `Wrapper`